<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:16 GMT+01:00 2018 -->
<title>Carte</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Carte";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Carte.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../noyau/Controleur.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Carte.html" target="_top">Frames</a></li>
<li><a href="Carte.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">noyau</div>
<h2 title="Class Carte" class="title">Class Carte</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>noyau.Carte</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Carte</span>
extends java.lang.Object</pre>
<div class="block">Classe définissant l'objet carte au sein du jeu</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Carte.html#Carte-int-">Carte</a></span>(int&nbsp;couleur)</code>
<div class="block">Surcharge du constructeur pour construire une carte uniquement en fonction
 d'une couleur</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Carte.html#Carte-int-int-">Carte</a></span>(int&nbsp;couleur,
     int&nbsp;valeur)</code>
<div class="block">Constructeur permettant de construire un objet de type carte en fonction
 d'une couleur et d'un valeur</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#changerCouleur-int-">changerCouleur</a></span>(int&nbsp;indice)</code>
<div class="block">Permet de changer la couleur d'une carte</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#equals-noyau.Carte-">equals</a></span>(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;c)</code>
<div class="block">Permet qu'une carte est jouable</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#getCouleur--">getCouleur</a></span>()</code>
<div class="block">Permet d'obtenir la couleur d'une carte</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#getNomCouleur--">getNomCouleur</a></span>()</code>
<div class="block">Permet d'obtenir le nom de la couleur d'une carte</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#getNomValeur--">getNomValeur</a></span>()</code>
<div class="block">Permet d'obtenir le nom de la valeur d'une carte</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#getValeur--">getValeur</a></span>()</code>
<div class="block">Permet d'obtenir la valeur d'une carte</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Carte.html#toString--">toString</a></span>()</code>
<div class="block">Permet d'obtenir une chaine de caractères définissant la carte</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Carte-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Carte</h4>
<pre>public&nbsp;Carte(int&nbsp;couleur,
             int&nbsp;valeur)</pre>
<div class="block">Constructeur permettant de construire un objet de type carte en fonction
 d'une couleur et d'un valeur</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>couleur</code> - </dd>
<dd><code>valeur</code> - </dd>
</dl>
</li>
</ul>
<a name="Carte-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Carte</h4>
<pre>public&nbsp;Carte(int&nbsp;couleur)</pre>
<div class="block">Surcharge du constructeur pour construire une carte uniquement en fonction
 d'une couleur</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>couleur</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getValeur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValeur</h4>
<pre>public&nbsp;int&nbsp;getValeur()</pre>
<div class="block">Permet d'obtenir la valeur d'une carte</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la valeur sous forme d'entier</dd>
</dl>
</li>
</ul>
<a name="getNomValeur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNomValeur</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNomValeur()</pre>
<div class="block">Permet d'obtenir le nom de la valeur d'une carte</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la valeur sous forme d'une chaine de caractères</dd>
</dl>
</li>
</ul>
<a name="getCouleur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCouleur</h4>
<pre>public&nbsp;int&nbsp;getCouleur()</pre>
<div class="block">Permet d'obtenir la couleur d'une carte</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la couleur sous forme d'entier</dd>
</dl>
</li>
</ul>
<a name="getNomCouleur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNomCouleur</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNomCouleur()</pre>
<div class="block">Permet d'obtenir le nom de la couleur d'une carte</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la couleur sous forme d'une chaine de caractère</dd>
</dl>
</li>
</ul>
<a name="changerCouleur-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changerCouleur</h4>
<pre>public&nbsp;void&nbsp;changerCouleur(int&nbsp;indice)</pre>
<div class="block">Permet de changer la couleur d'une carte</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l'indice</code> - de la couleur</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Permet d'obtenir une chaine de caractères définissant la carte</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la chaine de caractères</dd>
</dl>
</li>
</ul>
<a name="equals-noyau.Carte-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;c)</pre>
<div class="block">Permet qu'une carte est jouable</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>la</code> - carte sur laquelle on joue</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le résultat du test sous forme d'un booléen</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Carte.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../noyau/Controleur.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Carte.html" target="_top">Frames</a></li>
<li><a href="Carte.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
